Vagrant.configure("2") do |config|
  config.vm.define "app1" do |app|
    app.vm.hostname = "app1.dev"
    app.vm.box = "ubuntu/focal64"
    app.vm.network :private_network, ip: "192.168.60.11"
    app.vm.provider "virtualbox" do |vb|
      vb.memory = "16192"
      vb.cpus = 2
    end

    config.vm.provision "ansible" do |ansible|
      ansible.playbook = "playbook.yml"
      ansible.inventory_path = "hosts"  # Verweisen auf die hosts-Datei
    end
  end
end




